System.Design 2.0.0.0 System.Object System.ComponentModel.Design.IEventBindingService

By providing a service for registering event handlers for component events, provides a way to link an event handler with a component event from designer code.

A default implementation of the interface.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The service provider from which will query for services.
- Method
  2.0.0.0
  System.String `` `` To be added.

  The name returned by the method must be compatible with the script language being used and it must not conflict with any other name in your code.

  Creates a unique method name.

  The unique method name.

  The component for which the method name will be created.
- Method
  2.0.0.0
  System.Void `` `` ``

  Some implementations may intend to remove the event hander when no events are using it. By overriding and , an implementation can infer when a method is no longer needed.

  Provides a notification that a particular method is no longer being used by an event handler.

  The component to which the method is bound. The for the event handler. The name of the method to be freed.
- Method
  2.0.0.0
  System.Collections.ICollection `` To be added.

  Each string returned in the collection is the method name of a method whose signature is compatible with the delegate contained in . should return an empty collection if no names are compatible.

  Returns a collection of names of compatible methods.

  A collection of strings that are names of compatible methods.

- Method
  2.0.0.0
  System.Object `` To be added. To be added.

  Gets the requested service from the service provider.

  A reference to the service specified by , or null if the requested service is not available.

- Method
  2.0.0.0
  System.Boolean

  The method does not display any particular code; generally it displays the last code the user typed.

  Displays user code.

  true if it is possible to display the code; otherwise, false.

- Method
  2.0.0.0
  System.Boolean ``

  Line numbers are one-based.

  Displays the user code at the given line number.

  true if it is possible to display the code; otherwise, false.

  The line number to show.
- Method
  2.0.0.0
  System.Boolean `` `` ``

  The method displays the body of the user code with the given method name.

  Displays the user code for the specified method.

  true if it is possible to display the code; otherwise, false.

  The component to which the method is bound. The for the event handler. The name of the method for which to display code.
- Method
  2.0.0.0
  System.String `` `` To be added. To be added.

  Creates a unique name for an event-handler method for the specified component and event.

  The recommended name for the event-handler method for this event.

  The component instance the event is connected to.
- Method
  2.0.0.0
  System.Collections.ICollection `` To be added.

  Each string returned in the collection is the method name of a method whose signature is compatible with the delegate contained in . should return an empty collection if no names are compatible.

  Gets a collection of event-handler methods that have a method signature compatible with the specified event.

  A collection of strings that are names of compatible methods.

- Method
  2.0.0.0
  System.ComponentModel.EventDescriptor `` To be added.

  Gets an for the event that the specified property descriptor represents, if it represents an event.

  An for the event that the property represents, or null if the property does not represent an event.

  The property that represents an event.
- Method
  2.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` To be added.

  Converts a set of event descriptors to a set of property descriptors.

  An array of objects that describe the event set.

  The events to convert to properties.
- Method
  2.0.0.0
  System.ComponentModel.PropertyDescriptor `` To be added. To be added.

  Converts a single event descriptor to a property descriptor.

  A that describes the event.

- Method
  2.0.0.0
  System.Boolean To be added.

  Displays the user code for the designer.

  true if the code is displayed; otherwise, false.

- Method
  2.0.0.0
  System.Boolean `` To be added.

  Displays the user code for the designer at the specified line.

  true if the code is displayed; otherwise, false.

  The line number to place the caret on.
- Method
  2.0.0.0
  System.Boolean `` `` To be added. To be added.

  Displays the user code for the specified event.

  true if the code is displayed; otherwise, false.

  The component that the event is connected to.
- Method
  2.0.0.0
  System.Void `` `` ``

  Some implementations may intend to remove the event hander when no events are using it. By overriding and , an implementation can infer when a method is no longer needed.

  Provides a notification that a particular method is being used by an event handler.

  The component to which the method is bound. The for the event handler. The name of the method.
- Method
  2.0.0.0
  System.Void ``

  The default implementation does nothing. You may override this and throw an exception if the name is invalid for your use.

  Validates that the provided method name is valid for the language or script being used.

  The method name to validate.